<?php

/*  Discogs to Exfalso Tagger (Det), script per bash e php-cli.
    Ritagga file audio mp3 con i dati delle schede di Discogs secondo lo schema di Ex Falso.
    Richiede di avere installati:
    - id3 (https://manpages.ubuntu.com/manpages/hirsute/man1/id3.1.html)
    - curl (https://manpages.ubuntu.com/manpages/hirsute/man1/curl.1.html)

    Scritto da Daniele Lucchini [litterae.eu] nel novembre 2021.
    Tutti i diritti sono e restano riservati all'autore.
    L'uso personale senza fini commerciali è consentito gratuitamente.  */

// crea variabili ambiente
require("variabili-discogs.php");
if ($tipodiscogs = "release") {
    $url = "https://api.discogs.com/releases/$codicediscogs";
    $modulo = "json-release.php";
} else if ($tipodiscogs = "master") {
    $url = "https://www.discogs.com/master/$codicediscogs";
    $modulo = "json-master.php";
} else {
    exit("C'è qualcosa che non va. Ricontrolla che le variabili siano corrette.");
}
require($modulo);

?>
