<?php

// funzione controllo se stringa termina con...
function endsWith($haystack, $needle) {
    return substr_compare($haystack, $needle, -strlen($needle)) === 0;
}

// conta mp3 audio nella cartella
$files = scandir($cartella);
$conta = 0;
$nomifile = array();
foreach($files as $file) {
    if (endsWith(strtolower($file),".mp3")) {
        $conta++;
        $nomifile[] = $file;
    }
}
if ($conta !== $tracce) {
    unlink("microdati.json");
    exit("Il numero di brani presenti non corrisponde: $conta nella cartella e $tracce nella scheda Discogs.\n");
}

// genera tag per exfalso
$tags = preg_replace("/[^A-Za-z0-9 ]/", '', "$artista - $album").".tags";
$exfalso = fopen("ExFalsoTags/$tags","w");
$tagga = fopen("tagga.sh","w");
$indice = 0;
$bash = "";
foreach ($nomifile as $nomefile) {
    fwrite($exfalso,"$nomefile\n");
    fwrite($exfalso,"album=$album\n");
    fwrite($exfalso,"artist=$artista\n");
    fwrite($exfalso,"date=$data\n");
    fwrite($exfalso,"genre=$genere\n");
    $brano = explode("|| ",$brani);
    $titolobrano = $brano[$indice];
    fwrite($exfalso,"title=$titolobrano\n");
    $ordine = $indice+1;
    if (strlen($ordine) == 1) { $ordine = "0$ordine"; }
    fwrite($exfalso,"tracknumber=$ordine\n\n");
    // scrivi file bash per etichettatura diretta dei file
    require("generi.php");
    $percorso = "$cartella/$nomefile";
    $bash = 'id3 -a "'.$artista.'" "'.$percorso.'"'."\n".'id3 -A "'.$album.'" "'.$percorso.'"'."\n".'id3 -t "'.$titolobrano.'" "'.$percorso.'"'."\n".'id3 -y "'.$data.'" "'.$percorso.'"'."\n".'id3 -T "'.$ordine.'" "'.$percorso.'"'."\n".'id3 -g "'.$codicegenere.'" "'.$percorso.'"'."\n";
    fwrite($tagga,$bash);
    $indice++;
}
fclose($exfalso);
fclose($tagga);

exec("bash tagga.sh");
unlink("microdati.json");
unlink("tagga.sh");

?>
